<?xml version="1.0" encoding="UTF-8"?>
<system name="Tu-144D backup transponder: SO-70">
 <!-- Самолётный ответчик СО-70 (резервный) -->


 <property value="1">systems/comm/SO/panel/switch/enable</property>
 <property value="0">systems/comm/SO/panel/switch/mode</property><!-- 0: STBY; 1: A; 2: B (A+C); 3: C -->
 <property>systems/comm/SO/panel/switch/lo-sens</property>
 <property value="0">systems/comm/SO/panel/switch/code[0]</property>
 <property value="2">systems/comm/SO/panel/switch/code[1]</property>
 <property value="5">systems/comm/SO/panel/switch/code[2]</property>
 <property value="5">systems/comm/SO/panel/switch/code[3]</property>
 <property>systems/comm/SO/panel/button/test</property>
 <property>systems/comm/SO/panel/switch/code-c</property><!-- КОД С? -->
 <property>systems/comm/SO/panel/switch/s1-2</property>
 <property>systems/comm/SO/panel/button/ident</property>




 <channel name="Status, electric consumers" execrate="16">

  <fcs_function name="systems/comm/SO/status/on">
   <function>
    <product>
     <p>systems/comm/SO/panel/switch/enable</p>
     <p>systems/elec/DC27/U-ok</p>
     <p>systems/elec/AC115/U-ok</p>
    </product>
   </function>
  </fcs_function>

  <fcs_function name="systems/comm/SO/elec/DC27-A">
   <function>
    <product>
     <p>systems/comm/SO/panel/switch/enable</p>
     <p>systems/elec/DC27/U-V</p>
     <!-- 50 W -->
     <v>0.0686</v>
    </product>
   </function>
  </fcs_function>

  <fcs_function name="systems/comm/SO/elec/AC115-A">
   <function>
    <product>
     <p>systems/comm/SO/panel/switch/enable</p>
     <p>systems/elec/DC27/U-ok</p>
     <quotient>
      <!-- 150 / 3 VA -->
      <v>50.0</v>
      <max>
       <p>systems/elec/AC115/U-V</p>
       <v>70.0</v>
      </max>
     </quotient>
    </product>
   </function>
  </fcs_function>

 </channel>


 <channel name="SO-70" execrate="16">

  <fcs_function name="systems/comm/SO/func/code">
   <function>
    <sum>
     <p>systems/comm/SO/panel/switch/code[0]</p>
     <product>
      <p>systems/comm/SO/panel/switch/code[1]</p>
      <v>10</v>
     </product>
     <product>
      <p>systems/comm/SO/panel/switch/code[2]</p>
      <v>100</v>
     </product>
     <product>
      <p>systems/comm/SO/panel/switch/code[3]</p>
      <v>1000</v>
     </product>
    </sum>
   </function>
  </fcs_function>

  <fcs_function name="systems/comm/SO/func/H-ft">
   <function>
    <product>
     <integer>
      <sum>
       <product>
        <p>systems/pitot-static/pitot-static[1]/Habs-m</p>
        <v>0.032808399</v><!-- = 3.2808399 / 100 -->
       </product>
       <v>0.5</v>
      </sum>
     </integer>
     <v>100.0</v>
    </product>
   </function>
  </fcs_function>

  <switch name="systems/comm/SO/code">
   <default value="systems/comm/SO/func/code"/>
   <test logic="OR" value="-9999">
    systems/comm/SO/status/on EQ 0
    systems/comm/SO/panel/switch/mode LT 1
    systems/comm/SO/panel/switch/mode GT 2
   </test>
  </switch>

  <switch name="systems/comm/SO/altitude">
   <default value="systems/comm/SO/func/H-ft"/>
   <test logic="OR" value="-9999">
    systems/comm/SO/status/on EQ 0
    systems/comm/SO/panel/switch/mode LT 2
   </test>
  </switch>

  <switch name="systems/comm/SO/ident">
   <default value="systems/comm/SO/panel/button/ident"/>
   <test logic="OR" value="0">
    systems/comm/SO/status/on EQ 0
    systems/comm/SO/panel/switch/mode EQ 0
   </test>
   <test logic="AND" value="1">
    systems/comm/SO/ident NE 0
    systems/comm/SO/func/ident-sec LT 17.5
   </test>
  </switch>

  <switch name="systems/comm/SO/func/ident-start-sec">
   <default value="simulation/sim-time-sec"/>
   <test value="systems/comm/SO/func/ident-start-sec">
    systems/comm/SO/ident NE 0
   </test>
  </switch>

  <summer name="systems/comm/SO/func/ident-sec">
   <input>simulation/sim-time-sec</input>
   <input>-systems/comm/SO/func/ident-start-sec</input>
  </summer>

  <!-- FIXME Also blink when queried -->
  <pure_gain name="systems/comm/SO/panel/light/test">
   <input>systems/comm/SO/panel/button/test</input>
   <gain>systems/comm/SO/status/on</gain>
  </pure_gain>

 </channel>


</system>
